# IceGrid::NodeUnreachableException

## Overview

### exception NodeUnreachableException

This exception is raised if a node could not be reached.

#### Used By

Admin::enableServer
Admin::getNodeHostname
Admin::getNodeInfo
Admin::getNodeLoad
Admin::getServerAdmin
Admin::getServerPid
Admin::getServerState
Admin::isServerEnabled
Admin::patchServer
Admin::sendSignal
Admin::shutdownNode
Admin::startServer
Admin::stopServer
Admin::writeMessage
AdminSession::openNodeStdErr
AdminSession::openNodeStdOut
AdminSession::openServerLog
AdminSession::openServerStdErr
AdminSession::openServerStdOut

## Data Members

string name;

  The name of the node that is not reachable.

string reason;

  The reason why the node couldn't be reached.